MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023996Community[OCCT] OCCT:Data Exchangepublic2013-05-27 13:042013-12-19 13:55
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0023996: Width 50 given in format string (no. 2) is larger than destination buffer 'vale[50]'
DescriptionIn Interface_Static.cxx, line 282.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0023843closedomy scanf without field width limits can crash with huge input data. 

-  Notes
(0024521)
Pawel (developer)
2013-05-27 13:09

Branche CR23996 ready to review.
(0024522)
gka (developer)
2013-05-27 15:45

Branch CR23996 ready to test.
(0024523)
gka (developer)
2013-05-27 16:00

Could you please to make re-base branch CR23996 on current master.
Thank you in advance.
(0024524)
Pawel (developer)
2013-05-27 16:16

Dear gka,

Sorry for the mistake - I'm not professional with git ;)

I have rebased the branch on current master. Please review/forward for testing.

Thank you.
(0024526)
gka (developer)
2013-05-27 16:22

Branch CR23996 ready to test.
(0024551)
mkv (tester)
2013-05-29 18:16

Dear BugMaster,

Branch CR23996 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: d78aa61162f58a07d1cded3737f9b0e3a7f371e1

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 11 (11 on master)

products component :
Linux: 0 (0 on master)
Windows: 63 (64 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 366231800 / 366104304
Total CPU difference: 43238.160000000964 / 45000.28000000119

Testing on Windows:
Total MEMORY difference: 406645684 / 405712836
Total CPU difference: 29422.75 / 35176.578125

There are not differences in images found by testdiff.

- Related Changesets
occt: master 20b1ae2c
Timestamp: 2013-05-27 09:06:42
Author: Pawel
Details ] Diff ]
0023996: Width 50 given in format string (no. 2) is larger than destination buffer 'vale[50]'

Increased the size of the destination buffer to avoid possible overflow.
mod - src/Interface/Interface_Static.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-05-27 13:04 Pawel New Issue
2013-05-27 13:04 Pawel Assigned To => gka
2013-05-27 13:04 Pawel Assigned To gka => Pawel
2013-05-27 13:09 Pawel Note Added: 0024521
2013-05-27 13:09 Pawel Assigned To Pawel => gka
2013-05-27 13:09 Pawel Status new => resolved
2013-05-27 13:10 Pawel Relationship added child of 0023843
2013-05-27 15:45 gka Note Added: 0024522
2013-05-27 15:45 gka Status resolved => reviewed
2013-05-27 16:00 gka Note Added: 0024523
2013-05-27 16:00 gka Assigned To gka => Pawel
2013-05-27 16:00 gka Status reviewed => assigned
2013-05-27 16:16 Pawel Note Added: 0024524
2013-05-27 16:16 Pawel Status assigned => resolved
2013-05-27 16:22 gka Note Added: 0024526
2013-05-27 16:22 gka Status resolved => reviewed
2013-05-29 18:16 mkv Note Added: 0024551
2013-05-29 18:17 mkv Test case number => Not needed
2013-05-29 18:17 mkv Assigned To Pawel => bugmaster
2013-05-29 18:17 mkv Status reviewed => tested
2013-06-03 14:48 Pawel Changeset attached => occt master 20b1ae2c
2013-06-03 14:48 Pawel Assigned To bugmaster => Pawel
2013-06-03 14:48 Pawel Status tested => verified
2013-06-03 14:48 Pawel Resolution open => fixed
2013-12-19 13:53 bugmaster Status verified => closed
2013-12-19 13:55 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker